// creator  : weidu.exe (version 23100)
// argument : ROGER.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~ROGER~ 1 // non-zero flags may indicate non-pausing dialogue

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #28673 /* ~Hmmn.  I don't remember seeing you down here before.  New customers, perhaps?  Me name be Roger.  Is there something that you... need?~ */
  IF ~~ THEN REPLY #28677 /* ~What is it, exactly, that you sell?~ */ GOTO 1
  IF ~~ THEN REPLY #28678 /* ~Let me see what you have available.~ */ GOTO 2
  IF ~~ THEN REPLY #28679 /* ~Why are you down here in the sewers?~ */ GOTO 3
  IF ~Global("DennisJob","GLOBAL",1)
~ THEN REPLY #28680 /* ~I'd be interested in a gong, if you have one.~ */ GOTO 5
  IF ~~ THEN REPLY #28681 /* ~No, nothing really.~ */ GOTO 6
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #28682 /* ~Oh... odds and ends, mostly.  I buy things from people who acquire things, and I don't ask where they acquire them from.  And then I sell them to others.  A redistribution of goods.~ */
  IF ~~ THEN REPLY #28684 /* ~Isn't that illegal?~ */ GOTO 7
  IF ~~ THEN REPLY #28685 /* ~Let me see what you have available.~ */ GOTO 2
  IF ~~ THEN REPLY #28686 /* ~Why are you down here in the sewers?~ */ GOTO 3
  IF ~Global("DennisJob","GLOBAL",1)
~ THEN REPLY #28688 /* ~I'd be interested in a gong, if you have one.~ */ GOTO 5
  IF ~~ THEN REPLY #28690 /* ~I'll be on my way, then.~ */ GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 27.0 9.2 7.0 4.1 1.1 0.1
  SAY #28691 /* ~Follow me, then.  Down here, I have an assortment of practically everything you could possibly need.~ */
  IF ~~ THEN DO ~StartStore("roger",LastTalkedToBy())
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 27.1 7.1 1.2 0.2
  SAY #28693 /* ~Down here?  Oh, the sewers aren't so terrible.  The guards don't be comin' down here, and my customers like to be somewhere... out of sight.~ */
  IF ~!Dead("rogtro02")
~ THEN GOTO 4
  IF ~Dead("rogtro02")
~ THEN GOTO 9
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #28698 /* ~'Tis the beasties that are the biggest problem, especially as of late. There's this sea troll.  People have 'em as pets and when they grow too large, they huck 'em down here to torment me.~ */
  IF ~~ THEN REPLY #28699 /* ~What would you give me to take care of your problem?~ */ GOTO 8
  IF ~~ THEN REPLY #28700 /* ~Let me see what you have in your stores, then.~ */ GOTO 2
  IF ~Global("DennisJob","GLOBAL",1)
~ THEN REPLY #28701 /* ~I'd be interested in a gong, if you have one.~ */ GOTO 5
  IF ~~ THEN REPLY #28703 /* ~I'll be on my way, then.~ */ GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 27.2 9.1 8.1 7.2 4.2 1.3 0.3
  SAY #28704 /* ~Eh?  A gong?  You mean as in an actual gong?  By Waukeen's arse, I haven't had a gong since that one ol' Vittorio sold me.  Sorry I can't help you there.~ */
  IF ~!Dead("rogtro02")
~ THEN REPLY #28706 /* ~That's the particular one I'm looking for.~ */ GOTO 10
  IF ~Dead("rogtro02")
~ THEN REPLY #28726 /* ~That's the particular one I'm looking for.~ */ GOTO 11
END

IF ~~ THEN BEGIN 6 // from: 27.5 9.3 8.2 7.3 4.3 1.4 0.4
  SAY #28707 /* ~Alright, then.  Remember... you haven't seen me, aye?~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from: 1.0
  SAY #28709 /* ~What are you?  Some kind of crime-fighter that scours the sewers?  I be mindin' me own business, and that's all it is... business.  If ye has a problem with it, then be on yer way.~ */
  IF ~~ THEN REPLY #28710 /* ~Let me see what you have in stock, then.~ */ GOTO 2
  IF ~~ THEN REPLY #28711 /* ~Why are you down here in the sewers?~ */ GOTO 3
  IF ~Global("DennisJob","GLOBAL",1)~ THEN REPLY #28713 /* ~I'd be interested in a gong, if you have one.~ */ GOTO 5
  IF ~~ THEN REPLY #28714 /* ~I'll be leaving, then... I've no interest in doing business with you.~ */ GOTO 6
END

IF ~~ THEN BEGIN 8 // from: 4.0
  SAY #28717 /* ~Well, now, that depends.  What are you lookin' for?~ */
  IF ~~ THEN REPLY #28718 /* ~Coin, of course.~ */ GOTO 14
  IF ~Global("DennisJob","GLOBAL",1)
~ THEN REPLY #28724 /* ~A gong.~ */ GOTO 5
  IF ~~ THEN REPLY #28725 /* ~Forget it.  I'll be on my way.~ */ GOTO 6
END

IF ~~ THEN BEGIN 9 // from: 3.1
  SAY #28728 /* ~'Tis the beastie that was the biggest problem, but you've gone an' handled that for me very nicely.  I am quite grateful for it, to be sure.~ */
  IF ~!Global("RogerJob","GLOBAL",2)
Global("RogerPaid","GLOBAL",0)~ THEN REPLY #28732 /* ~How grateful might you be?~ */ GOTO 15
  IF ~Global("DennisJob","GLOBAL",1)
~ THEN REPLY #28733 /* ~How about rewarding me with something... say, a gong?~ */ GOTO 5
  IF ~~ THEN REPLY #28731 /* ~Let me see what you have in your stores, then.~ */ GOTO 2
  IF ~~ THEN REPLY #28734 /* ~I'll be on my way, then.~ */ GOTO 6
END

IF ~~ THEN BEGIN 10 // from: 5.0
  SAY #28736 /* ~Ahhh, I see.  Well, I'll tell you what... do a little favor for me and I'll tell you who I sold that particular gong to, as well as where you can find 'em, aye?~ */
  IF ~~ THEN REPLY #28738 /* ~What sort of favor?~ */ GOTO 16
  IF ~~ THEN REPLY #28739 /* ~You had better tell me where it is quickly, or I might just get very upset.~ */ GOTO 17
END

IF ~~ THEN BEGIN 11 // from: 5.1
  SAY #28741 /* ~Oho, I see.  Well, that gong is no longer in my possession.  Seeing as I owe you a wee bit for solving my little beastie problem, I'll be happy to tell you where it is.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 24.2 11.0
  SAY #28744 /* ~I sold it, through an envoy, to a troll shaman.  Errr... Grae, I believe her name to be.  Lives in a troll mound near Trademeet, ye can't miss it.~ */
  IF ~~ THEN DO ~RevealAreaOnMap("AR1900")
RevealAreaOnMap("AR2000")
~ GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #28747 /* ~I can't imagine she's the type to receive visitors... an' I believe the mound to be guarded by trolls a'plenty.  But if ye want it, that's where it'd be.~ */
  IF ~!IsValidForPartyDialog("Korgan")
!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("HaerDalis")~ THEN DO ~SetGlobal("Grae","GLOBAL",1)
~ UNSOLVED_JOURNAL #34295 /* ~Recover Dennis' mother's gong.

Lovely.  It seems that Roger sold the gong to a troll shaman by the name of Grae who lives in a troll mound near Trademeet.  She's not likely to be alone, either.  What a troll shaman would want with a gong I can't even begin to imagine.~ */ EXIT
  IF ~IsValidForPartyDialog("Korgan")~ THEN DO ~SetGlobal("Grae","GLOBAL",1)
~ UNSOLVED_JOURNAL #34295 /* ~Recover Dennis' mother's gong.

Lovely.  It seems that Roger sold the gong to a troll shaman by the name of Grae who lives in a troll mound near Trademeet.  She's not likely to be alone, either.  What a troll shaman would want with a gong I can't even begin to imagine.~ */ EXTERN ~KORGANJ~ 82
  IF ~!IsValidForPartyDialog("Korgan")
IsValidForPartyDialog("Keldorn")~ THEN DO ~SetGlobal("Grae","GLOBAL",1)
~ UNSOLVED_JOURNAL #34295 /* ~Recover Dennis' mother's gong.

Lovely.  It seems that Roger sold the gong to a troll shaman by the name of Grae who lives in a troll mound near Trademeet.  She's not likely to be alone, either.  What a troll shaman would want with a gong I can't even begin to imagine.~ */ EXTERN ~KELDORJ~ 128
  IF ~!IsValidForPartyDialog("Korgan")
!IsValidForPartyDialog("Keldorn")
IsValidForPartyDialog("HaerDalis")~ THEN DO ~SetGlobal("Grae","GLOBAL",1)
~ UNSOLVED_JOURNAL #34295 /* ~Recover Dennis' mother's gong.

Lovely.  It seems that Roger sold the gong to a troll shaman by the name of Grae who lives in a troll mound near Trademeet.  She's not likely to be alone, either.  What a troll shaman would want with a gong I can't even begin to imagine.~ */ EXTERN ~HAERDAJ~ 76
END

IF ~~ THEN BEGIN 14 // from: 8.0
  SAY #28720 /* ~I suppose I could part with a few coins for the deed.  I tell you what... dispose of the sea troll beastie for me an' I'll be pleased to pay you 500 gold pieces, aye?~ */
  IF ~~ THEN REPLY #28749 /* ~It's a deal.~ */ GOTO 18
  IF ~~ THEN REPLY #28750 /* ~Sorry, not interested.~ */ GOTO 19
END

IF ~~ THEN BEGIN 15 // from: 9.0
  SAY #28753 /* ~Heh heh.  Looking for a reward, are we?  Well, I can't say that it isn't deserved.  Here... I have a few spare coins.  250 of them, all told.  Thank ye kindly for the deed.~ */
  IF ~~ THEN DO ~GiveGoldForce(250)
EraseJournalEntry(34294)
SetGlobal("RogerPaid","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 16 // from: 17.0 10.0
  SAY #28756 /* ~Get rid o' the beastie that has been plaguing me about here... the sea troll t' be specific... an' I'll be pleased to tell you all I know.  Aye?~ */
  IF ~~ THEN REPLY #28759 /* ~Very well, I'll do it.~ */ GOTO 18
  IF ~~ THEN REPLY #28760 /* ~How about I just beat it out of you, instead?~ */ GOTO 17
  IF ~~ THEN REPLY #28761 /* ~Forget it.  Not interested.~ */ GOTO 19
END

IF ~~ THEN BEGIN 17 // from: 16.1 10.1
  SAY #28766 /* ~Ach, calm down, mate.  You don't frighten me... I've dealt with harsher types then you.  And besides... harming me won't find you out where the gong lies, now, will it?~ */
  IF ~~ THEN REPLY #28769 /* ~I see.  What is this favor you need done, then?~ */ GOTO 16
  IF ~~ THEN REPLY #28773 /* ~Actually, it's not that important to me... I'd much rather just kill you!~ */ GOTO 20
  IF ~~ THEN REPLY #28775 /* ~Well, forget it, then.~ */ GOTO 19
END

IF ~~ THEN BEGIN 18 // from: 16.0 14.0
  SAY #28778 /* ~Good, good.  I could use some peace from the nasty devil.  Come back when you've done the deed, then. He lives in the southwest corner of the sewers.~ */
  IF ~~ THEN DO ~SetGlobal("RogerJob","GLOBAL",1)
~ UNSOLVED_JOURNAL #34294 /* ~Kill Roger's Sea Troll

I have agreed to hunt down and kill a Sea Troll that has been plaguing Roger the Fence down in the sewers.~ */ EXIT
END

IF ~~ THEN BEGIN 19 // from: 17.2 16.2 14.1
  SAY #28781 /* ~Well, as you wish, I suppose.  I'm not about to twist your arm or anything.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 20 // from: 17.1
  SAY #28783 /* ~(gulp)  er... how about I just start RUNNING FOR MY LIFE!!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~Global("RogerJob","GLOBAL",1)
!Dead("rogtro02")
~ THEN BEGIN 21 // from:
  SAY #28788 /* ~Well hello to you again, mate.  I still notice that the beastie is runnin' around, yet... are you not plannin' on finishing our deal?~ */
  IF ~~ THEN REPLY #28789 /* ~No, no... I'll go back and finish the job.~ */ GOTO 22
  IF ~~ THEN REPLY #28791 /* ~That's right... I've no interest in continuing this task.~ */ GOTO 23
END

IF ~~ THEN BEGIN 22 // from: 21.0
  SAY #28786 /* ~Ah, well that is good.  I shall see you once you are done, then.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 23 // from: 21.1
  SAY #28794 /* ~I see.  Well, 'tis a shame, but I'll not twist your arm, mate.~ */
  IF ~~ THEN DO ~SetGlobal("RogerJob","GLOBAL",0)
~ EXIT
END

IF ~Global("RogerJob","GLOBAL",1)
Dead("rogtro02")
~ THEN BEGIN 24 // from:
  SAY #28795 /* ~An excellent job, mate!  Finally, my stores will be plenty safe from that troll's bug-eyed intrusions.  Now, then... what was it, again, that you were lookin' for as a reward?~ */
  IF ~~ THEN REPLY #28799 /* ~500 gold pieces.~ */ DO ~EraseJournalEntry(34294)
AddexperienceParty(9500)
SetGlobal("RogerJob","GLOBAL",2)
~ SOLVED_JOURNAL #21892 /* ~Kill Roger's Sea Troll

I encountered a fence in the sewers by the name of Roger and dispatched a Sea Troll that was causing him problems.~ */ GOTO 25
  IF ~~ THEN REPLY #28800 /* ~Err... 1,000 gold pieces.~ */ DO ~EraseJournalEntry(34294)
AddexperienceParty(9500)
SetGlobal("RogerJob","GLOBAL",2)
~ SOLVED_JOURNAL #21892 /* ~Kill Roger's Sea Troll

I encountered a fence in the sewers by the name of Roger and dispatched a Sea Troll that was causing him problems.~ */ GOTO 26
  IF ~Global("DennisJob","GLOBAL",1)
~ THEN REPLY #28803 /* ~Information on where I can find the gong.~ */ DO ~EraseJournalEntry(34294)
AddexperienceParty(9500)
SetGlobal("RogerJob","GLOBAL",2)
~ SOLVED_JOURNAL #21892 /* ~Kill Roger's Sea Troll

I encountered a fence in the sewers by the name of Roger and dispatched a Sea Troll that was causing him problems.~ */ GOTO 12
END

IF ~~ THEN BEGIN 25 // from: 24.0
  SAY #28807 /* ~Did I promise that?  Well, mate, here you go... an' a thanks to you for a deed well done.  Anything ye need in the future, don't be hesitating to look me up.~ */
  IF ~~ THEN DO ~GiveGoldForce(500)
~ EXIT
END

IF ~~ THEN BEGIN 26 // from: 24.1
  SAY #28811 /* ~Heh... you must be thinkin' me mighty stupid, mate.  If I remember right, I offered you 500 gold pieces.  An' here it is... no need to be greedy, aye?~ */
  IF ~~ THEN DO ~GiveGoldForce(500)
~ EXIT
END

IF ~OR(2)
Global("RogerJob","GLOBAL",0)
Global("RogerJob","GLOBAL",2)~ THEN BEGIN 27 // from:
  SAY #28816 /* ~Ahhh... always good to speak to you, mate.  What is it, exactly, that you need?~ */
  IF ~~ THEN REPLY #28819 /* ~Show me what you have to sell, Roger.~ */ GOTO 2
  IF ~~ THEN REPLY #28820 /* ~Why are you down here in the sewers?~ */ GOTO 3
  IF ~Global("DennisJob","GLOBAL",1)
~ THEN REPLY #28821 /* ~I'm looking for a gong, actually.~ */ GOTO 5
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45830 /* ~A friend has been imprisoned by the Cowled Wizards, and I need to find out where she's being kept.  Do you know anything about that?~ */ GOTO 28
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45831 /* ~Maybe you could tell me a little about the war between the thieves' guilds I keep hearing about.~ */ GOTO 31
  IF ~~ THEN REPLY #28823 /* ~Nothing, really.~ */ GOTO 6
END

IF ~~ THEN BEGIN 28 // from: 27.3
  SAY #45832 /* ~Heh.  You know, there's all sorts of nasty stories about what the Cowled Wizards do with the mages they imprison.~ */
  IF ~~ THEN GOTO 29
END

IF ~~ THEN BEGIN 29 // from: 28.0
  SAY #45833 /* ~But finding the Cowled Wizards themselves can be a feat, never mind finding their prisoners.  They could be atop the Cloudpeaks for all anyone knows.~ */
  IF ~~ THEN GOTO 30
END

IF ~~ THEN BEGIN 30 // from: 29.0
  SAY #45834 /* ~My advice?  Talk to the Shadow Thieves.  If anyone knows, or could find out, it'd be them.  Trick would be gettin' them to help, but HEY, you didn't say it had to be easy.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 31 // from: 27.4
  SAY #45835 /* ~You've heard about that, have you?  Well, my hat's off to whomever could pull together a guild to rival the Shadow Thieves.~ */
  IF ~~ THEN GOTO 32
END

IF ~~ THEN BEGIN 32 // from: 31.0
  SAY #45836 /* ~But make no mistake: that other guild won't survive long.  The Shadow Thieves aren't about to let themselves be kicked out of another city, not after Waterdeep.~ */
  IF ~~ THEN GOTO 33
END

IF ~~ THEN BEGIN 33 // from: 32.0
  SAY #45837 /* ~But who knows?  Maybe this other guild just has the drop on them.  I just wish we knew more about what to expect should this other guild come into power.  Could affect me plenty, you know?~ */
  IF ~~ THEN EXIT
END
